Channel extends BaseObject implements ArrayAccess
Table of Contents
Interfaces
- ArrayAccess
Properties
- $channels : mixed
Methods
- __construct() : mixed
- Channel constructor.
- canEdit() : bool
- canEditVote() : bool
- canRead() : bool
- get() : mixed|null
- getApplication() : CMain
- getById() : Result|CDBResult
- getErrorByCode() : Error|null
- getErrors() : array<string|int, Error>
- getId() : int
- getList() : Result|CDBResult
- getUser() : CUser
- init() : void
- exists only for child class
- loadFromId() : BaseObject
- loadUserGroups() : array<string|int, mixed>
- offsetExists() : mixed|null
- Whether a offset exists.
- offsetGet() : mixed|null
- offsetSet() : void
- offsetUnset() : void
- shutdown() : mixed
- Debug function
Properties
$channels
public
static mixed
$channels
= array()
Methods
__construct()
Channel constructor.
public
__construct(mixed $id) : mixed
Parameters
- $id : mixed
Tags
canEdit()
public
canEdit(int $userId) : bool
Parameters
- $userId : int
-
User ID.
Return values
boolcanEditVote()
public
canEditVote(int $userId) : bool
Parameters
- $userId : int
-
User ID.
Return values
boolcanRead()
public
canRead(int $userId) : bool
Parameters
- $userId : int
-
User ID.
Return values
boolget()
public
get(string $key) : mixed|null
Parameters
- $key : string
-
Characteristic that you want to know.
Return values
mixed|nullgetApplication()
public
getApplication() : CMain
Return values
CMaingetById()
public
static getById(int $id) : Result|CDBResult
Parameters
- $id : int
-
Channel ID.
Return values
Result|CDBResultgetErrorByCode()
public
getErrorByCode(string|int $code) : Error|null
Parameters
- $code : string|int
-
The code of the error.
Tags
Return values
Error|nullgetErrors()
public
getErrors() : array<string|int, Error>
Return values
array<string|int, Error>getId()
public
getId() : int
Return values
intgetList()
public
static getList(array<string|int, mixed> $parameters) : Result|CDBResult
Parameters
- $parameters : array<string|int, mixed>
-
Array of query parameters.
Tags
Return values
Result|CDBResultgetUser()
public
getUser() : CUser
Return values
CUserinit()
exists only for child class
public
init() : void
Tags
loadFromId()
public
static loadFromId(int $id[, bool $shouldBeNewIfIdIsNull = false ]) : BaseObject
Parameters
- $id : int
-
Entity ID.
- $shouldBeNewIfIdIsNull : bool = false
Return values
BaseObjectloadUserGroups()
public
static loadUserGroups(int $userId) : array<string|int, mixed>
Parameters
- $userId : int
-
User ID.
Return values
array<string|int, mixed>offsetExists()
Whether a offset exists.
public
offsetExists(string $offset) : mixed|null
Parameters
- $offset : string
-
An offset to check for.
Return values
mixed|nulloffsetGet()
public
offsetGet(string $offset) : mixed|null
Parameters
- $offset : string
-
The offset to retrieve.
Return values
mixed|nulloffsetSet()
public
offsetSet(mixed $offset, mixed $value) : void
Parameters
- $offset : mixed
-
The offset to assign the value to.
- $value : mixed
-
The value to set.
Tags
offsetUnset()
public
offsetUnset(mixed $offset) : void
Parameters
- $offset : mixed
-
The offset to unset.
shutdown()
Debug function
public
static shutdown() : mixed